Brazil

Sample structures of the E_KYC_CHECK API responses for Brazil CPF Verification (bra_gov_cpf).

GREEN

The following response example represents successful checks.

{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2024-03-21 11:39:23",
      "id": "6fe0ec3b-c6d8-4c53-afc6-f33751dbf1c2",
      "inputDoc": {
        "idDocType": "TAX_PAYER_NUMBER_DOC",
        "country": "BRA",
        "number": "07244434529" // CPF
      },
      "extractedDoc": {
        "firstName": "LUCAS OLIVEIRA", // Applicant complete name
        "aliasName": "MARIA LURDES", // Mother name
        "gender": "M",
        "dob": "1991-01-15",
        "placeOfBirth": "BRASILEIRA",
        "additionalFields": [
          {
            "name": "registrationStatus",
            "value": "Regular"
          },
          {
            "name": "fatherName",
            "value": "JOHN DOE"
          }
        ]
      },
      "ekycCheckInfo": {
        "externalFaceMatch": true,
        "faceMatchAnswer": "GREEN",
        "selfieImageId": 118005011, // Image ID of the submitted Liveness selfie
        "faceMatchScore": 0.9491729928035084
      }
    }
  ]
}

Response explained

The response represents a singleton list of checks.

Root variables

The root variables are the core Non-Doc check result data items. Some of them may include nested attributes and element fields.

FieldTypeDescription
idStringUnique identifier of the check.
answerStringCheck answer:
  • GREEN — the check has passed successfully. Data found in the database.
  • YELLOW — verification process is not yet complete. We await the applicant's completion of the required steps.
  • RED — the check shows a high risk indication. Data found but the applicant data does not match the database record. In some cases, it may also mean that no data was found. Please see the response examples for more information.
inputDocObjectRepresents the data used for the database check.
checkTypeStringIndicates that it is a E_KYC_CHECK check type.
extractedDocObjectExternal check source data. It may not be present if the data is not received.
createdAtDateDate and time (UTC) of the latest Non-Doc check result.
ekycCheckInfoObjectRepresents face matching results.
violationsArray of stringsIndicates violations that were found:
  • DATA_NOT_FOUND — data not found.
  • INVALID_DOC_NUMBER — invalid or irregular CPF
  • PERSON_IS_MINOR — person is underage.
  • DEAD — deceased person.
  • SELFIE_MISMATCH — selfie doesn’t match the photo in the exnernal source.

inputDoc attributes

The following table explains the inputDoc attributes representing the data taken from the provided document.

FieldTypeDescription
idDocTypeStringType of the document provided for verification. For example, TAX_PAYER_NUMBER_DOC, ID_CARD, PASSPORT, DRIVERS.
countryStringAlpha-3 country code (for example, DEU, GBR, ARG).
numberStringCPF number provided by the applicant.

extractedDoc attributes

The extractedDoc object includes the data obtained from the external source during the E_KYC_CHECK check.

FieldTypeDescription
countryStringAlpha-3 country code (for example, DEU, GBR, ARG).
firstNameStringApplicant full name.
aliasNameStringFull (complete) mother name.
dobDateApplicant date of birth (format YYYY-mm-dd, for example, 2001-09-25) as it is specified in the document.
placeOfBirthStringApplicant place of birth. This can be a city, a town or another settlement type. There is no length limit for this field.
genderStringGender of the applicant (M, F, or X).
additionalFieldsArray of objectsA collection of key-value pairs, representing additional information about the applicant.

additionalFields element fields

An array of key-value pairs providing non-standard additional information.

Example:

{
  "name": "fatherName",
  "value": "JOHN DOE"
}

The following table explains some of the possible keys.

KeyValue typeValue description
registrationStatusStringCPF number registration status:
  • REGULAR — CPF number is active without any pending issues.
  • PENDENTE DE REGULARIZACAO — CPF number is awaiting regularization due to missing information.
  • SUSPENSA — CPF number is temporarily suspended due to minor information inconsistencies.
  • NULA — CPF number is temporarily suspended due to major information inconsistencies.
  • CANCELADA — CPF number is permanently suspended.
  • TITULAR FALECIDO — CPF number is permanently suspended due to the holder's death.
fatherNameStringFull father name.

ekycCheckInfo attributes

FieldTypeDescription
externalFaceMatchBooleanIndicates that the face match verification is done using an external source.
faceMatchAnswerStringFace match verification results:
  • GREEN — the face matches the photo in the external source.
  • YELLOW — we are uncertain whether the face matches the photo in the external source.
  • RED — the face does not match the photo in the external source.
  • IGNORED — no face match verification was conducted.
selfieImageIdIntegerImage ID of the submitted Liveness selfie.
faceMatchScoreDoubleNumerical confidence score of the face match result in the range from 0 to 1. Higher value indicates a higher probability of a match.